Summary: Programs which control basic system processes
Name: sysvinit
Version: 2.88
Release: %mkrel 4
License: GPLv2+
Group: System/Configuration/Boot and Init
Source: https://alioth.debian.org/frs/download.php/3060/sysvinit-%{version}.tar.xz
URL: https://alioth.debian.org/projects/pkg-sysvinit/
Patch1: sysvinit-2.78-man.patch
Patch4: sysvinit-2.86-autofsck.patch
Patch5: sysvinit-2.86-loginshell.patch
Patch8: sysvinit-2.86-inittab.patch
Patch10: sysvinit-2.87-pidof.patch
Patch13: sysvinit-2.86-single.patch
Patch16: sysvinit-2.86-quiet.patch
Patch23: sysvinit-2.86-pidof-man.patch
Patch100: sysvinit-2.86-shutdown.patch
Patch101: sysvinit-2.87-libcrypt.patch
Patch104: sysvinit-2.85-walltty.patch
Patch105: sysvinit-disable-respawn-more-quickly.patch
BuildRequires: glibc-static-devel
Requires: pam 
Requires(post): coreutils
Requires: sysvinit-tools = %{version}-%{release}
Obsoletes: SysVinit < %version
Provides: SysVinit = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The sysvinit package contains a group of processes that control
the very basic functions of your system. sysvinit includes the init
program, the first program started by the Linux kernel when the
system boots. Init then controls the startup, running, and shutdown
of all other programs.

%package tools
Summary: Tools used for process and utmp management
Group: System/Configuration/Boot and Init

%description tools
The sysvinit-tools package contains various tools used for process
management.


%prep
%setup -q -n sysvinit-%{version}
%patch1 -p1 -b .manpatch
%patch4 -p1 -b .autofsck
%patch5 -p1 -b .loginshell
%patch8 -p1 -b .inittabdocs
#%patch10 -p1 -b .pidof
%patch13 -p1 -b .single
%patch16 -p1 -b .quiet
#%patch23 -p1 -b .pidof
%patch100 -p1 -b .shutdown
#%patch101 -p1 -b .libcrypt
%patch104 -p1 -b .wall
%patch105 -p1 -b .disable-respawn-more-quickly

%build
%make CFLAGS="%{optflags} -D_GNU_SOURCE" LDFLAGS="%{ldflags}" -C src

%install
rm -rf %{buildroot}
for I in bin sbin usr/{bin,include} %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p %{buildroot}/$I
done

make -C src ROOT=%{buildroot} MANDIR=%{_mandir} \
	BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 %{buildroot}/dev/initctl p ||:
ln -snf killall5 %{buildroot}/sbin/pidof

chmod 755 %{buildroot}/usr/bin/utmpdump

# Remove unpacjaged file(s)
rm -rf	%{buildroot}/usr/include

%post
[ ! -p /dev/initctl ] && rm -f /dev/initctl && mknod --mode=0600 /dev/initctl p || :
[ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl || :
[ -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ] && /sbin/telinit u || :
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/Propaganda doc/Install
%doc doc/sysvinit-*.lsm contrib/start-stop-daemon.* 
/sbin/bootlogd
/sbin/halt
/sbin/init
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/telinit

#this file already in initscripts package
%exclude /sbin/fstab-decode

%{_mandir}/man5/*
%{_mandir}/man8/halt*
%{_mandir}/man8/init*
%{_mandir}/man8/poweroff*
%{_mandir}/man8/reboot*
%{_mandir}/man8/runlevel*
%{_mandir}/man8/shutdown*
%{_mandir}/man8/telinit*
%{_mandir}/man8/bootlogd*
%{_mandir}/man8/fstab-decode*
%ghost /dev/initctl

%files tools
%defattr(-,root,root)
%doc doc/Changelog COPYRIGHT
/bin/mountpoint
/bin/pidof
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/mesg
%{_bindir}/utmpdump
%attr(2555,root,tty)  /usr/bin/wall
/sbin/pidof
/sbin/killall5
/sbin/sulogin
%{_mandir}/man1/*
%{_mandir}/man8/killall5*
%{_mandir}/man8/pidof*
%{_mandir}/man8/sulogin*


%changelog
* Sat Sep 05 2015 bb <bb> 2.88-4pclos2014
- rebuild for updates

* Sat Jun 08 2013 Texstar <texstar at gmail.com> 2.88-3pclos2013
- rebuild to make sure source matches binary packages

* Tue May 28 2013 Texstar <texstar at gmail.com> 2.88-2pclos2013
- remove fstab-decode as it is already in the initscripts package

* Sat Mar 09 2013 daniel <meisssw01 at aol.com> 2.88-1leiche2013
- update
- added fstab-decode

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 2.87-1pclos2010
- update

